Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl
Class MEFAConfiguration

    java.lang.Object
      com.sun.mdm.index.configurator.impl.MEFAConfiguration

All Implemented Interfaces:
  ConfigurationInfo, java.io.Serializable

public class MEFAConfiguration
extends java.lang.Object
implements ConfigurationInfo

Handles the parsing of the Match Engine Functional Area configuration (MEFA)

See Also:
  Serialized Form

Nested Class Summary
`static class` | `MEFAConfiguration.Attributes` Attributes that correspond to the XML attribute names.
`static class` | `MEFAConfiguration.Components` ComponentNames which identify the available MEFA components
`static class` | `MEFAConfiguration.Tags` Tags that correspond to the XML node names.

Field Summary
`static java.lang.String` | `MEFA` Module Name to use with the Configuration Service to load the MEFA configuration

Constructor Summary
`MEFAConfiguration()` Creates new MEFAConfiguration

Method Summary
`int` | `finish()` Finish.
`java.lang.String` | `getBlockPickerImplClassName()` Getter for BlockPickerImplClassName attribute of the MEFAConfiguration object.
`java.lang.String` | `getComponentImplClassName(java.lang.String componentName)` Getter for ComponentImplClassName attribute of the MEFAConfiguration object.
`java.lang.String` | `getMatcherAPIImplClassName()` Getter for MatcherAPIImplClassName attribute of the MEFAConfiguration object.
`java.lang.String` | `getMatcherConfigImplClassName()` Getter for MatcherConfigImplClassName attribute of the MEFAConfiguration object.
`java.lang.String` | `getModuleType()` Getter for ModuleType attribute of the MEFAConfiguration object.
`java.lang.String` | `getPassControllerImplClassName()` Getter for PassControllerImplClassName attribute of the MEFAConfiguration object.
`java.lang.String` | `getStandardizerAPIImplClassName()` Getter for StandardizerAPIImplClassName attribute of the MEFAConfiguration object.
`java.lang.String` | `getStandardizerConfigImplClassName()` Getter for StandardizerConfigImplClassName attribute of the MEFAConfiguration object.
`int` | `init()` Initialize.
`void` | `parse(org.w3c.dom.Node node)` Parse an XML node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MEFA

    public static final java.lang.String MEFA

  Module Name to use with the Configuration Service to load the MEFA configuration

  See Also:
    Constant Field Values

Constructor Detail

### MEFAConfiguration

    public MEFAConfiguration()

  Creates new MEFAConfiguration

Method Detail

### finish

    public int finish()

  Finish.

  Specified by:
    `finish` in interface `ConfigurationInfo`
  Returns:
    result code.

### getBlockPickerImplClassName

    public java.lang.String getBlockPickerImplClassName()

  Getter for BlockPickerImplClassName attribute of the MEFAConfiguration object.

  Returns:
    implementation class name for the block picker

### getComponentImplClassName

    public java.lang.String getComponentImplClassName(java.lang.String componentName)

  Getter for ComponentImplClassName attribute of the MEFAConfiguration object.

  Parameters:
    `componentName` - The name of the component to get the implementation class for.
  Returns:
    implementation class name for the requested component.

### getMatcherAPIImplClassName

    public java.lang.String getMatcherAPIImplClassName()

  Getter for MatcherAPIImplClassName attribute of the MEFAConfiguration object.

  Returns:
    implementation class name for the Matcher API.

### getMatcherConfigImplClassName

    public java.lang.String getMatcherConfigImplClassName()

  Getter for MatcherConfigImplClassName attribute of the MEFAConfiguration object.

  Returns:
    implementation class name for the Matcher Configuration.

### getModuleType

    public java.lang.String getModuleType()

  Getter for ModuleType attribute of the MEFAConfiguration object.

  Specified by:
    `getModuleType` in interface `ConfigurationInfo`
  Returns:
    the type of this configuration module.

### getPassControllerImplClassName

    public java.lang.String getPassControllerImplClassName()

  Getter for PassControllerImplClassName attribute of the MEFAConfiguration object.

  Returns:
    implementation class name for the PassController.

### getStandardizerAPIImplClassName

    public java.lang.String getStandardizerAPIImplClassName()

  Getter for StandardizerAPIImplClassName attribute of the MEFAConfiguration object.

  Returns:
    implementation class name for the Stardardizer API.

### getStandardizerConfigImplClassName

    public java.lang.String getStandardizerConfigImplClassName()

  Getter for StandardizerConfigImplClassName attribute of the MEFAConfiguration object.

  Returns:
    implementation class name for the Standardizer Configuration.

### init

    public int init()

  Initialize.

  Specified by:
    `init` in interface `ConfigurationInfo`
  Returns:
    result code.

### parse

    public void parse(org.w3c.dom.Node node)
               throws ConfigurationException

  Parse an XML node.

  Specified by:
    `parse` in interface `ConfigurationInfo`
  Parameters:
    `node` - XML node starting the configuration node.
  Throws:
    `ConfigurationException` - if there is an error in parsing the configuration XML file.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.